// MonsterSetDetailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "MonsterSetDetailDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMonsterSetDetailDlg dialog


CMonsterSetDetailDlg::CMonsterSetDetailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMonsterSetDetailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMonsterSetDetailDlg)
	m_sEndPosX = 0;
	m_sEndPosZ = 0;
	m_sMaxMon = 0;
	m_sMonResNum = 0;
	m_sMonResTime = 0;
	m_sStartPosX = 0;
	m_sStartPosZ = 0;
	m_strMonsterRegion = _T("");
	m_nMonType = 0;
	m_bMonType = 0;
	m_sEndPosY = 0;
	m_sStartPosY = 0;
	//}}AFX_DATA_INIT
}


void CMonsterSetDetailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMonsterSetDetailDlg)
	DDX_Text(pDX, IDC_EDIT_ENDPOSX, m_sEndPosX);
	DDX_Text(pDX, IDC_EDIT_ENDPOSZ, m_sEndPosZ);
	DDX_Text(pDX, IDC_EDIT_MAXMON, m_sMaxMon);
	DDX_Text(pDX, IDC_EDIT_RESNUM, m_sMonResNum);
	DDX_Text(pDX, IDC_EDIT_RESTIME, m_sMonResTime);
	DDX_Text(pDX, IDC_EDIT_STARTPOSX, m_sStartPosX);
	DDX_Text(pDX, IDC_EDIT_STARTPOSZ, m_sStartPosZ);
	DDX_Text(pDX, IDC_EDIT_MONSTERREGION_INDEX, m_strMonsterRegion);
	DDX_Text(pDX, IDC_EDIT_MONSTERTYPE, m_nMonType);
	DDX_Text(pDX, IDC_EDIT_MONSTERTYPE2, m_bMonType);
	DDX_Text(pDX, IDC_EDIT_ENDPOSY, m_sEndPosY);
	DDX_Text(pDX, IDC_EDIT_STARTPOSY, m_sStartPosY);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMonsterSetDetailDlg, CDialog)
	//{{AFX_MSG_MAP(CMonsterSetDetailDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMonsterSetDetailDlg message handlers
